Contacts
Import contact
Imports a contact
POST
https://api.talktohumans.app
/
v1
/
contacts
Import contact
curl --request POST \
--url https://api.talktohumans.app/v1/contacts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"account_id": "42",
"linkedin_url": "https://www.linkedin.com/in/jane-doe/"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({account_id: '42', linkedin_url: 'https://www.linkedin.com/in/jane-doe/'})
};
fetch('https://api.talktohumans.app/v1/contacts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.talktohumans.app/v1/contacts"
payload = {
"account_id": "42",
"linkedin_url": "https://www.linkedin.com/in/jane-doe/"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.talktohumans.app/v1/contacts"
payload := strings.NewReader("{\n \"account_id\": \"42\",\n \"linkedin_url\": \"https://www.linkedin.com/in/jane-doe/\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"contact": {
"account_relationship_id": "1042",
"contact_id": "123",
"provider_participant_id": "urn:li:fsd_profile:abc",
"public_identifier": "jane-doe",
"account": {
"account_id": "42",
"display_name": "Jane Doe",
"provider_account_id": "ACoAA000000",
"owner_user_id": "7"
},
"name": "Jane Doe",
"first_name": "Jane",
"last_name": "Doe",
"headline": "Founder at Acme",
"primary_role_title": "Founder",
"primary_company_name": "Acme",
"linkedin_url": "https://www.linkedin.com/in/jane-doe/",
"relationship_status": "unknown",
"tags": [],
"languages": [],
"experiences": [],
"educations": [],
"locations": [],
"app_url": "https://app.talktohumans.app/contacts"
},
"warnings": []
}
}Authorizations
Pass API key as Authorization: Bearer <api_key>.
Body
application/json
LinkedIn account ID returned by GET /v1/accounts.
Pattern:
^[1-9][0-9]*$LinkedIn member profile URL under linkedin.com/in/. Query parameters and paths after the member identifier are ignored.
Pattern:
^https?://(www\.)?linkedin\.com/in/[^/?#]+(?:[/?#].*)?$Response
Contact was already attached to the LinkedIn account.
Show child attributes
Show child attributes
⌘I
Import contact
curl --request POST \
--url https://api.talktohumans.app/v1/contacts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"account_id": "42",
"linkedin_url": "https://www.linkedin.com/in/jane-doe/"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({account_id: '42', linkedin_url: 'https://www.linkedin.com/in/jane-doe/'})
};
fetch('https://api.talktohumans.app/v1/contacts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.talktohumans.app/v1/contacts"
payload = {
"account_id": "42",
"linkedin_url": "https://www.linkedin.com/in/jane-doe/"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.talktohumans.app/v1/contacts"
payload := strings.NewReader("{\n \"account_id\": \"42\",\n \"linkedin_url\": \"https://www.linkedin.com/in/jane-doe/\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"contact": {
"account_relationship_id": "1042",
"contact_id": "123",
"provider_participant_id": "urn:li:fsd_profile:abc",
"public_identifier": "jane-doe",
"account": {
"account_id": "42",
"display_name": "Jane Doe",
"provider_account_id": "ACoAA000000",
"owner_user_id": "7"
},
"name": "Jane Doe",
"first_name": "Jane",
"last_name": "Doe",
"headline": "Founder at Acme",
"primary_role_title": "Founder",
"primary_company_name": "Acme",
"linkedin_url": "https://www.linkedin.com/in/jane-doe/",
"relationship_status": "unknown",
"tags": [],
"languages": [],
"experiences": [],
"educations": [],
"locations": [],
"app_url": "https://app.talktohumans.app/contacts"
},
"warnings": []
}
}